{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}
{% block title %}{{ thread.title }}{% endblock %}
{% set _breadcrumb = ['Aide', ['Centre de support', 'support.index'], thread.title] %}
{% form_theme form '@DatatourismeWebApp/Form/bootstrap_3_layout.html.twig' %}


{% block content %}
    <section class="content-header">
        <a href="{{ path('support.index') }}" class="btn btn-white btn-sm pull-right"><span class="fa fa-chevron-left"></span> &nbsp;Revenir au centre de support</a>
        <h1>{{ thread.title }}</h1>
    </section>

    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <ul class="timeline timeline-support">
                    {% for timeline in timelines %}
                        <li class="time-label">
                          <span class="bg-gray">
                            {{ timeline.date | localizeddate('medium', 'none', app.request.locale) }}
                          </span>
                        </li>
                        {% for post in timeline.posts %}
                            <li>
                                {% set color = post.user is not null and has_role('ROLE_ADMIN', post.user) ? 'yellow' : 'blue' %}
                                {% set icon = loop.parent.loop.first and loop.first ? 'envelope' : 'comment' %}

                                <i class="fa fa-{{ icon }} bg-{{ color }}"></i>
                                <div class="timeline-item" id="{{ post.id }}">
                                    <span class="time"><i class="fa fa-clock-o"></i> {{ post.createdAt | date('H:i') }}</span>
                                    <h3 class="timeline-header">
                                        {% set support_alias = "Équipe support" %}

                                        {% if post.user is not null %}
                                            {% if has_role('ROLE_ADMIN', post.user) %}
                                                {% set user_team = support_alias %}

                                                {% if is_granted('support.see.admin') %}
                                                    {% set user_name = post.user.fullName %}
                                                {% else %}
                                                    {% set user_name = support_alias %}
                                                {% endif %}
                                            {% else %}
                                                {% set user_team = post.thread.organization.name %}
                                                {% set user_name = post.user.fullName %}
                                            {% endif %}
                                        {% else %}
                                            {% set user_name = 'Utilisateur supprimé' %}
                                            {% if post.thread.organization is not null %}
                                                {% set user_team = post.thread.organization.name %}
                                            {% else %}
                                                {% set user_team = support_alias %}
                                            {% endif %}
                                        {% endif %}

                                        {% if post.user is not null and has_role('ROLE_ADMIN', post.user) and is_granted('support.see.admin') == false %}
                                            <strong>{{ support_alias }}</strong>
                                        {% else %}
                                            {% if post.user is not null and is_granted('administrate', post.user) %}
                                                <strong><a href="{{ path('user.administrate', {id: post.user.id}) }}">{{ user_name }}</a></strong> - {{ user_team }}
                                            {% else %}
                                                <strong>{{ user_name }}</strong> - {{ user_team }}
                                            {% endif %}
                                        {% endif %}

                                    </h3>
                                    <div class="timeline-body">
                                        {# This evil raw output is secured in lower levels by the "markdownize" filter #}
                                        {{ post.content | markdownize | emailize | raw }}
                                    </div>
                                    {% if post.file %}
                                        <div class="timeline-footer">
                                            <i class="fa fa-download"></i> <a href="{{ path('support.thread.post.download', {thread_id: thread.id, post_id: post.id}) }}">{{ post.fileName }}</a>
                                        </div>
                                    {% endif %}
                                </div>
                            </li>
                        {% endfor %}
                        {% if loop.last and timeline.posts|last.createdAt | date('d m y') != 'now' | date('d m y') %}
                            <li class="time-label">
                              <span class="bg-gray">
                                {{ 'now' | localizeddate('medium', 'none', app.request.locale) }}
                              </span>
                            </li>
                        {% endif %}
                    {% endfor %}
                    <li>
                        <div class="timeline-item" id="reply">
                            <h3 class="timeline-header"><strong class="text-muted">Ajouter un message</strong></h3>
                            <div class="timeline-body">
                                {{ form_start(form, {attr: {action: "#reply"}}) }}
                                    {{ form_errors(form.content) }}
                                    {{ form_row(form.content) }}
                                    {{ form_row(form.file) }}
                                    <input type="submit" class="btn btn-primary" value="Envoyer">
                                {{ form_end(form) }}
                            </div>
                        </div>
                        <i class="fa fa-commenting-o bg-gray"></i>
                    </li>

                </ul>

            </div>
        </div>
    </section>
{% endblock %}